Subject: bug#23475: no code for module (guix ui)

From: [email-masked] (Ludovic Courtès)
Date: Sun, 08 May 2016 18:10:10 +0200

Leo Famulari <[email-masked]> skribis:

> I had rebuilt from the git tree recently, but I'm not sure exactly when.
>
> It goes away after I rebuild.
>
> ---
> $ ./pre-inst-env guix build hello
> Backtrace:                               
> In ice-9/boot-9.scm:
>  157: 12 [catch #t #<catch-closure 19e4ba0> ...]
> In unknown file:
>    ?: 11 [apply-smob/1 #<catch-closure 19e4ba0>]
> In ice-9/boot-9.scm:
>   63: 10 [call-with-prompt prompt0 ...]
> In ice-9/eval.scm:
>  432: 9 [eval # #]
> In ice-9/boot-9.scm:
> 2401: 8 [save-module-excursion #<procedure 1a01940 at ice-9/boot-9.scm:4045:3 ()>]
> 4050: 7 [#<procedure 1a01940 at ice-9/boot-9.scm:4045:3 ()>]
> 1724: 6 [%start-stack load-stack ...]
> 1729: 5 [#<procedure 1a18ea0 ()>]
> In unknown file:
>    ?: 4 [primitive-load "/gnu/store/9p7mf2a21c6a5k06jgbb9yg9abx7ilh9-guix-0.10.0-0.8062/bin/.guix-real"]

Why is this file being loaded, instead of scripts/guix?  Could it be
that scripts/guix was missing at that time?

Maybe it would be wise to apply a patch as attached to prevent such
situations from arising.  WDYT?

Thanks,
Ludo’.

--- a/build-aux/pre-inst-env.in
+++ b/build-aux/pre-inst-env.in
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # GNU Guix --- Functional package management for GNU
-# Copyright © 2012, 2013, 2014, 2015 Ludovic Courtès <[email-masked]>
+# Copyright © 2012, 2013, 2014, 2015, 2016 Ludovic Courtès <[email-masked]>
 #
 # This file is part of GNU Guix.
 #
@@ -68,4 +68,11 @@ export NIX_HASH
 GUIX_UNINSTALLED=1
 export GUIX_UNINSTALLED
 
+guix="$abs_top_builddir/scripts/guix"
+if [ ! -x "$guix" ]
+then
+    echo "'$guix' is missing, please run 'make'." >&2
+    exit 1
+fi
+
 exec "$@"